searchNodes=[{"doc":"Read temperature and pressure in Elixir from Bosch environmental sensors such as BMP180, BMP280, BME280, BME680, BMP388, and BMP390.","ref":"BMP3XX.html","title":"BMP3XX","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"BMP3XX.html#child_spec/1","title":"BMP3XX.child_spec/1","type":"function"},{"doc":"Detect the type of sensor that is located at the I2C address The bus address is likely going to be 0x77 (the default) or 0x76.","ref":"BMP3XX.html#detect/2","title":"BMP3XX.detect/2","type":"function"},{"doc":"Force the altitude to a known value Altitude calculations depend on the accuracy of the sea level pressure estimate. Since the sea level pressure changes based on the weather, it needs to be kept up to date or altitude measurements can be pretty far off. Another way to set the sea level pressure is to report a known altitude. Call this function with the current altitude in meters. This function returns an error if the attempt to sample the current barometric pressure fails.","ref":"BMP3XX.html#force_altitude/2","title":"BMP3XX.force_altitude/2","type":"function"},{"doc":"Measure the current temperature, pressure, altitude An error is return if the I2C transactions fail.","ref":"BMP3XX.html#measure/1","title":"BMP3XX.measure/1","type":"function"},{"doc":"Start a new GenServer for interacting with a BMP3XX Normally, you'll want to pass the :bus_name option to specify the I2C bus going to the BMP3XX.","ref":"BMP3XX.html#start_link/1","title":"BMP3XX.start_link/1","type":"function"},{"doc":"Update the sea level pressure estimate The sea level pressure should be specified in Pascals. The estimate is used for altitude calculations.","ref":"BMP3XX.html#update_sea_level_pressure/2","title":"BMP3XX.update_sea_level_pressure/2","type":"function"},{"doc":"","ref":"BMP3XX.html#t:bmp2_sensor_type/0","title":"BMP3XX.bmp2_sensor_type/0","type":"type"},{"doc":"","ref":"BMP3XX.html#t:bmp3_sensor_type/0","title":"BMP3XX.bmp3_sensor_type/0","type":"type"},{"doc":"","ref":"BMP3XX.html#t:bus_address/0","title":"BMP3XX.bus_address/0","type":"type"},{"doc":"BMP3XX GenServer start_link options :name - a name for the GenServer :bus_name - which I2C bus to use (e.g., &quot;i2c-1&quot; ) :bus_address - the address of the BMP3XX (defaults to 0x77) :sea_level_pa - a starting estimate for the sea level pressure in Pascals :retries - the number of retries before failing (defaults to no retries)","ref":"BMP3XX.html#t:option/0","title":"BMP3XX.option/0","type":"type"},{"doc":"","ref":"BMP3XX.html#t:sensor_type/0","title":"BMP3XX.sensor_type/0","type":"type"},{"doc":"One sensor measurement report","ref":"BMP3XX.Measurement.html","title":"BMP3XX.Measurement","type":"module"},{"doc":"","ref":"BMP3XX.Measurement.html#t:t/0","title":"BMP3XX.Measurement.t/0","type":"type"},{"doc":"Read temperature and pressure in Elixir from Bosch environmental sensors such as BMP180, BMP280, BME280, BME680, BMP388, and BMP390.","ref":"readme.html","title":"BMP3XX","type":"extras"},{"doc":"Here's an example use (most sensors are at address 0x77, but some are at 0x76): iex&gt; { :ok , bmp } = BMP3XX . start_link ( bus_name : &quot;i2c-1&quot; , bus_address : 0x77 ) { :ok , # PID &lt; 0 . 2190 . 0 &gt; } iex&gt; BMP3XX . measure ( bmp ) { :ok , % BMP3XX.Measurement { altitude_m : 100.11370638569619 , pressure_pa : 100387.23387754142 , temperature_c : 30.542875839950284 , timestamp_ms : 62437 } } Depending on your hardware configuration, you may need to modify the call to BMP3XX.start_link/1 . See t:BMP3XX.options/0 for parameters. All measurements are reported in SI units. The altitude measurement is computed from the measured barometric pressure. To be accurate, it requires either the current sea level pressure or the current altitude. Here's an example: iex&gt; BMP3XX . force_altitude ( bmp , 100 ) :ok Subsequent altitude reports should be more accurate until the weather changes.","ref":"readme.html#usage","title":"BMP3XX - Usage","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Breaking changes sensor type :bmp388 is now changed to :bmp380 to be consistent with other sensor types Added support for BMP 2 sensors namely: :bmp180 :bmp280 :bme280 :bme680 Improved [ci] update CI [test] re-write test using experimental circuit_sim","ref":"changelog.html#v0-1-5","title":"Changelog - v0.1.5","type":"extras"},{"doc":"Improved Support both v0 and v1 of circuits_i2c","ref":"changelog.html#v0-1-4","title":"Changelog - v0.1.4","type":"extras"},{"doc":"Improved Simplify I2C-related code Improve type spec and refactor","ref":"changelog.html#v0-1-3","title":"Changelog - v0.1.3","type":"extras"},{"doc":"Fixed Remove default gen server name (previously defaulted to __MODULE__ )","ref":"changelog.html#v0-1-2","title":"Changelog - v0.1.2","type":"extras"},{"doc":"Improved Log helpful message on init Link to the BME388 data sheet in the Hexdoc","ref":"changelog.html#v0-1-1","title":"Changelog - v0.1.1","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]